gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.MenuAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype MenuAccessible = MenuAccessible (ManagedPtr MenuAccessible)
- class (GObject o, IsDescendantOf MenuAccessible o) => IsMenuAccessible o
- toMenuAccessible :: (MonadIO m, IsMenuAccessible o) => o -> m MenuAccessible

# Exported types

newtype MenuAccessible Source #

Memory-managed wrapper type.

Constructors

MenuAccessible (ManagedPtr MenuAccessible) |

#### Instances

Instances details

Eq MenuAccessible Source # |
Instance details Defined in GI.Gtk.Objects.MenuAccessible Methods (==) :: MenuAccessible -> MenuAccessible -> Bool Source # (/=) :: MenuAccessible -> MenuAccessible -> Bool Source #
GObject MenuAccessible Source # |
Instance details Defined in GI.Gtk.Objects.MenuAccessible
ManagedPtrNewtype MenuAccessible Source # |
Instance details Defined in GI.Gtk.Objects.MenuAccessible Methods toManagedPtr :: MenuAccessible -> ManagedPtr MenuAccessible Source #
TypedObject MenuAccessible Source # |
Instance details Defined in GI.Gtk.Objects.MenuAccessible Methods glibType :: IO GType Source #
HasParentTypes MenuAccessible Source # |
Instance details Defined in GI.Gtk.Objects.MenuAccessible
IsGValue (Maybe MenuAccessible) Source # | Convert `MenuAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.MenuAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe MenuAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe MenuAccessible) Source #
type ParentTypes MenuAccessible Source # |
Instance details Defined in GI.Gtk.Objects.MenuAccessible type ParentTypes MenuAccessible = '[MenuShellAccessible, ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Component, Selection]

class (GObject o, IsDescendantOf MenuAccessible o) => IsMenuAccessible o Source #

Type class for types which can be safely cast to `MenuAccessible`, for instance with `toMenuAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf MenuAccessible o) => IsMenuAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.MenuAccessible

toMenuAccessible :: (MonadIO m, IsMenuAccessible o) => o -> m MenuAccessible Source #

Cast to `MenuAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, addSelection, bindProperty, bindPropertyFull, clearSelection, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isChildSelected, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSelection, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, removeSelection, runDispose, scrollTo, scrollToPoint, selectAllSelection, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSelectionCount, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.